#ifndef DDS_H
#define DDS_H
#include <qobject.h>

class Lvm;
class Hard;
/*******************************************************************
*                                                            
*               class Dds
*          This class serves as a proxy between Lvm and Hard.
*          The changes happened in Lvm will be passed to Hard througth this class
*
*******************************************************************/
class Dds : public QObject
{
    Q_OBJECT
    
public: 
    Dds( QObject * parent = 0, const char * name = 0 );
    virtual ~Dds();
    
    Lvm * getLvm();
    Hard * getHard();
    
public slots:
    void slotOneVgAdded( const QString & vgPath, const QStringList & listPv );
    void slotOneVgRemoved( const QStringList & listPv );	
    void slotOneVgRenamed( const QString & vgPath, const QStringList & listPv );	
    void slotOneVgExtended( const QString & vgPath, const QStringList & listPv );
    void slotOneVgReduced( const QStringList & listPv );
    
    void slotOneLvAdded( const QString & lvPath, const QStringList & listPv);
    void slotOneLvRemoved( const QString & lvPath, const QStringList & listPv); 
    void slotOneLvRenamed( const QString & newLvPath, const QString & oldLvPath, const QStringList & listPv );
    void slotOneLvResized( const QString & lvPath, const QStringList & newListPv, const QStringList & oldListPv );
    
private:
    Lvm * lvm;
    Hard * hard;
};
#endif
